KILL(1)

NAME
kill - send a signal to one or more processes

SYNOPSIS
kill [-q value| --queue value ] pid ...

kill -signal [-q value| --queue value ] pid-or-pgid ...
kill -s signal [-q value| --queue value ] pid-or-pgid ...
kill --signal signal [-q value| --queue value ] pid-or-pgid ...

kill -l [ signal]
kill --list [ signal]

kill -L
kill --table

DESCRIPTION
kill sends a signal to one or more processes by pid or pgid, a process or process group identifier. signal(7) explains the varieties and behavior of signals. kill's default signal is TERM. The -l and -L options list available signals. Particularly useful signals include HUP, INT, KILL, STOP, CONT, and 0. Specify signals by number, by name, or by name with a “SIG” prefix; for example, -9, -SIGKILL, and -KILL are equivalent. A negative operand selects a process group; see the PGID column in ps(1) command output. A pid of -1 is special; it indicates all processes except the kill process itself and init(8).

The -q option uses an alternative signaling method to to additionally transmit an integral value to a receiving process. If that process has installed a handler for the signal and specified the SA_SIGINFO flag to sigaction(2), then it can obtain this datum via the si_value field of the siginfo_t structure.

OPTIONS

-signal
-s signal
--signal signal
    Send signal by name or number as described above. If signal is 0 (zero), kill sends no signal, but still validates its operands; this behavior permits the caller to check whether the specified pids and/or pgids exist and it has permission to send them signals.

-q value
--queue value
    Use sigqueue(3) rather than kill(2) to additionally send value to each pid or pgid.

-l [signal]
--list [\fIsignal]
    Without an argument, list signal names. The optional argument causes kill to convert the specified signal from name to numeric form, or vice versa as appropriate, and report the translation.

-L
--table
    List signal names in tabular format.

NOTES
The shell (command-line interpreter) often has a built-in “kill” command. You may need to run the command described here as /bin/kill to override the shell built-in.

If you use a negative operand, specify a signal by name or number first so that kill can distinguish it from a process group. For example, the command “kill 123 -9” is ambiguous; it could mean to kill process 123 with signal 9, or to kill process 123 and process group 9 with the default signal.

EXAMPLES

kill -HUP -1
    Send hangup signal to all the processes you can.

kill -l 11
    Report name corresponding to signal number 11.

kill 123 543
    Send the default signal, SIGTERM, to processes 123 and 543.

kill -SIGTERM -123
    Send the signal SIGTERM to process group 123.

SEE ALSO
kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7), sigqueue(3), skill(1)

REPORTING BUGS
Please send bug reports to procps@freelists.org.